;============================================================================;
;                                  data.asm                                  ;

 ifd ti89
 include "kbdmat89.asm"
 endc

 ifd ti92plus
 include "kbdmat92.asm"
 endc

 include "filelib.asm"

 include "sprites.asm"

_comment                dc.b       "Tex 0.2.1 ",128,0

F1                      dc.b       "File",0
F2                      dc.b       "Options",0
F3                      dc.b       "Secure",0
F4                      dc.b       "Select",0
F5                      dc.b       "Help",0

  ;====================================================================;
  ; menu attributes data structure :                                   ;
  ; X position, Y position, width, height, number of items (zeroed), 0 ;
  ; for each item : item name, 0, shortcut name, 0                     ;
  ;====================================================================;

menu\f1                 dc.b       f1\x,f1\y,f1\w,f1\h,f1\n,0
string\delete           dc.b       "Delete",0,21,0
string\copy             dc.b       "Copy",0,"2+C",0
string\rename           dc.b       "Rename",0,"2+N",0
string\move             dc.b       "Move",0,"2+M",0
string\create_folder    dc.b       "Create Folder",0,"2+F",0
string\zip              dc.b       "Zip",0,"2+Z",0
string\unzip            dc.b       "Unzip",0,127,"+Z",0
string\archive          dc.b       "Archive",0,"2+A",0
string\unarchive        dc.b       "Unarchive",0,127,"+A",0

menu\f2                 dc.b       f2\x,f2\y,f2\w,f2\h,f2\n,0
string\setup            dc.b       "Setup",0,"MODE",0
string\set_apd          dc.b       "Set APD",0,"2+D",0
string\set_password     dc.b       "Set Password",0,"2+W",0
string\self_test        dc.b       "Self-Test",0,"2+T",0
string\required_libs    dc.b       "Required libs",0,"2+Q",0
string\ressources       dc.b       "Ressources",0,"2+R",0

menu\f3                 dc.b       f3\x,f3\y,f3\w,f3\h,f3\n,0
string\lock             dc.b       "Lock",0,"2+L",0
string\unlock           dc.b       "Unlock",0,127,"+L",0
string\hide             dc.b       "Hide",0,"2+H",0
string\unhide           dc.b       "Unhide",0,127,"+H",0
string\protect          dc.b       "Protect",0,"2+P",0
string\unprotect        dc.b       "Unprotect",0,127,"+P",0
string\lock_calc        dc.b       "Lock Calc",0,"2+",127,"+ON",0

menu\f4                 dc.b       f4\x,f4\y,f4\w,f4\h,f4\n,0
string\select_all       dc.b       "Select All",0,"2+",select_shortcut,0
string\deselect_all     dc.b       "Deselect All",0,127,"+",select_shortcut,0
string\invert_selection dc.b       "Invert All",0,"2+",127,"+",select_shortcut,0

menu\f5                 dc.b       f5\x,f5\y,f5\w,f5\h,f5\n,0
string\keys             dc.b       "Keys",0,"2+K",0
string\about            dc.b       "About",0," ",0

setup_window            dc.b       setup_window\x
                        dc.b       setup_window\y
                        dc.b       setup_window\width
                        dc.b       setup_window\height
                        dc.b       setup_window\n,0
string\type_filter      dc.b       "Type filter",0,18,0
string\attribute_filter dc.b       "Attribute filter",0,18,0
string\set_viewers      dc.b       "Set viewers",160,0," ",0
string\confirmations    dc.b       "Confirmations",160,0," ",0
string\shell_bolt       dc.b       "Shell bolt :",0," ",0

string\about\version    dc.b       "Version 0.2.1 ",128,0
string\about\date       dc.b       "2000/05/25",0
string\about\authors    dc.b       "by GdV and Lool",0

  ;=============================;
  ; keys menu data structure :  ;
  ; shortcut, 0, description, 0 ;
  ;=============================;

string\keys_list        dc.b       23,"/",24,0
                        dc.b       ": Scroll Up/Down",0
                        dc.b       "2+",23,"/",24,0
                        dc.b       ": Page Up/Down",0
                        dc.b       127,"+",23,"/",24,0
                        dc.b       ": Begin/End",0
                        dc.b       21,"/",22,0
                        dc.b       ": Switch Window or Menu",0
                        dc.b       "F1-F5",0
                        dc.b       ": Open Menu",0
                        dc.b       select_shortcut,0
                        dc.b       ": Select",0

 ifd ti89
string\confirm_password dc.b       "Confirm   Password   :",0
 endc
 ifd ti92plus
string\confirm_password dc.b       "Confirm  Password  :",0
 endc
string\enter_password   dc.b       "Enter Password :",0
string\enter_new_pass   dc.b       "Enter new Password :",0
string\password_protect dc.b       "Password Protection",0
string\no_files_found   dc.b       "No files found",0
string\ram_free         dc.b       "RAM free",0
string\archive_free     dc.b       "Archive free",0
string\frequency        dc.b       "Frequency",0
string\batteries        dc.b       "Batteries",0
string\set_apd_to       dc.b       "Set APD to :",0
string\set_apd\second   dc.b       "%d seconds    ",0
string\folder           dc.b       "Folder :",0
string\files_bytes      dc.b       "%d files, %ld bytes",0
string\bytes            dc.b       ": %ld bytes",0
string\mega_hertz       dc.b       ": %ld.  MHz  ",0
string\none             dc.b       "none",0
string\new_name         dc.b       "New name :",0
string\ratio            dc.b       "%d/%d variables(s) %s",0
string\confirm          dc.b       "%s %d variables(s)",0
string\destination      dc.b       "To : %s",0
string\pathname         dc.b       "%s\%s()",0
string\deleted          dc.b       "deleted",0
string\copied           dc.b       "copied",0
string\moved            dc.b       "moved",0
string\archived         dc.b       "archived",0
string\unarchived       dc.b       "unarchived",0
string\locked           dc.b       "locked",0
string\unlocked         dc.b       "unlocked",0
string\hiden            dc.b       "hiden",0
string\unhiden          dc.b       "unhiden",0
string\protected        dc.b       "protected",0
string\unprotected      dc.b       "unprotected",0
string\zipped           dc.b       "zipped",0
string\unzipped         dc.b       "unzipped",0
string\compressing      dc.b       "Compressing %s\%s",0
string\extracting       dc.b       "Extracting %s\%s",0
 ifd ti89
string\text_viewer_name dc.b       "TEXT viewer :",0
string\pic_viewer_name  dc.b       "PIC viewer    :",0
string\pv_viewer_name   dc.b       "PV viewer     :",0
 endc
 ifd ti92plus
string\text_viewer_name dc.b       "TEXT viewer :",0
string\pic_viewer_name  dc.b       "PIC viewer  :",0
string\pv_viewer_name   dc.b       "PV viewer   :",0
 endc


 even
string\viewers
string\text_viewer      dc.b       "txtrider",0,0
string\pic_viewer       dc.b       0,0,0,0,0,0,0,0,0,0
string\pv_viewer        dc.b       0,0,0,0,0,0,0,0,0,0

error_flag              dc.b       0
error_type
error\not_enought_mem   dc.b       "ERROR : Not enougth memory     ",0
error\lib_not_found     dc.b       "ERROR : Library not found      ",0
error\wrong_lib_version dc.b       "ERROR : Wrong library version  ",0
error\invalid_format    dc.b       "ERROR : Invalid file format    ",0
error\file_in_use       dc.b       "ERROR : File in use            ",0
error\not_asm           dc.b       "ERROR : Variable is not an ASM file",0
error\zipped_file       dc.b       "ERROR : File is zipped",0
error\libs_are_not_exec dc.b       "ERROR : Libraries are not executable",0
error\confirm_failed    dc.b       "ERROR : Password confirmation failed",0
error\dest_folder       dc.b       "ERROR : Destination folder not selected",0
error\no_variables      dc.b       "ERROR : No variables selected",0
error\no_viewer         dc.b       "ERROR : Viewer not found",0

variable_type           dc.b       "ASM",0,0
                        dc.b       "LIB",0,0
                        dc.b       "PRGM",0
                        dc.b       "FUNC",0
                        dc.b       "MAT",0,0
                        dc.b       "LIST",0
                        dc.b       "MACR",0
                        dc.b       "TEXT",0
                        dc.b       "STR",0,0
                        dc.b       "DATA",0
                        dc.b       "FIG",0,0
                        dc.b       "PIC",0,0
                        dc.b       "GDB",0,0
                        dc.b       "EXPR",0
                        dc.b       "OTH",0,0
string\local            dc.b       "LOCAL",0

apd\shut_down_if_idle   dc.b       0
indicators_value        dc.b       0
indicators_saved_value  dc.b       0
indicators_clear_flag   dc.b       0
indicators_mask         dc.b       0
in_repetition_flag      dc.b       0
menu\item               dc.b       0
menu\number             dc.b       0
old_indicators          dc.b       0
password_protect_flag   dc.b       0
shell_bolt_flag         dc.b       0
shift_flag              dc.b       0
window                  dc.b       0

 even

file                    dc.l       delete
                        dc.l       copy
                        dc.l       rename
                        dc.l       move
                        dc.l       create_folder
                        dc.l       zip
                        dc.l       unzip
                        dc.l       archive
                        dc.l       unarchive
options                 dc.l       setup
                        dc.l       set_apd
                        dc.l       set_password
                        dc.l       self_test
                        dc.l       required_libs
                        dc.l       ressources
secure                  dc.l       lock
                        dc.l       unlock
                        dc.l       hide
                        dc.l       unhide
                        dc.l       protect
                        dc.l       unprotect
                        dc.l       lock_calc
select                  dc.l       select_all
                        dc.l       deselect_all
                        dc.l       invert_selection
help                    dc.l       keys
                        dc.l       about

menu\list               dc.l       menu\f1
                        dc.l       menu\f2
                        dc.l       menu\f3
                        dc.l       menu\f4
                        dc.l       menu\f5
                        dc.l       setup_window

menu\number_list        dc.l       file
                        dc.l       options
                        dc.l       secure
                        dc.l       select
                        dc.l       help

shortcut_table
 ifd ti89
                        dc.w       0257,0125,4150,4149,0176,4186,8282,0039
                        dc.w       0157,0000,0000,0000,0000,0000,0000,0000
                        dc.w       0266,0091,0062,4180,0034,0092,0000,0000
                        dc.w       0000,0000,0000,0000,0000,0000,0000,0000
                        dc.w       0058,8244,4152,8248,4354,0064,0000,0000
                        dc.w       0000,0000,0000,0000,0000,0000,0000,0000
                        dc.w       0000,0000,0000,0000,0000,0000,0000,0000
                        dc.w       0000,0000,0000,0000,0000,0000,0000,0000
                        dc.w       0159
 endc
 ifd ti92plus
                        dc.w       0257,4163,4174,0059,0159,4218,8282,4161
                        dc.w       8257,0000,0000,0000,0000,0000,0000,0000
                        dc.w       0266,0176,0033,0035,0063,0064,0000,0000
                        dc.w       0000,0000,0000,0000,0000,0000,0000,0000
                        dc.w       0034,8268,0038,8264,0095,8272,0000,0000
                        dc.w       0000,0000,0000,0000,0000,0000,0000,0000
                        dc.w       0000,0000,0000,0000,0000,0000,0000,0000
                        dc.w       0000,0000,0000,0000,0000,0000,0000,0000
                        dc.w       0124
 endc

  ;=====================================;
  ; window description data scturture : ;
  ;  window\name_absciss,               ;
  ;  window\type_absciss,               ;
  ;  window\size_absciss,               ;
  ;  window\attr_absciss,               ;
  ;  window\width                       ;
  ;=====================================;

window_absciss
window_0                           dc.w       8
                                   dc.w       0
                                   dc.w       0
                                   dc.w       0
                                   dc.w       54
window_1                           dc.w       66
                                   dc.w       117
                                   dc.w       138
                                   dc.w       0
                                   dc.w       98
window_2                           dc.w       8
                                   dc.w       63
                                   dc.w       93
                                   dc.w       128
                                   dc.w       156
window_3                           dc.w       8
                                   dc.w       63
                                   dc.w       93
                                   dc.w       140
                                   dc.w       156

window_parameters         ; Don't change parameters order
cursor\folder                      dc.w       0
current\folder                     dc.w       0
number_folders                     dc.w       0
number_folders_to_draw             dc.w       0
handle\folder_list\address         dc.l       0
sym_table\folder                   dc.l       0
cursor\file                        dc.w       0
current\file                       dc.w       0
number_files                       dc.w       0
number_files_to_draw               dc.w       0
handle\file_list\address           dc.l       0
sym_table\file                     dc.l       0

apd\calls_5                        dc.l       0
current                            dc.w       0
current\folder\old                 dc.w       0
cursor                             dc.w       0
dialog_window                      ds.w       21
dialog_window\pwprotect            ds.w       21
dialog_window\size                 ds.w       4
dialog_window\pwprotect\size       dc.w       get_pass_window\top_left_x
                                   dc.w       get_pass_window\top_left_y
                                   dc.w       get_pass_window\bottom_right_x
                                   dc.w       get_pass_window\bottom_right_y
handle\address                     dc.l       0
handle\number                      dc.w       0
handle\folder_list\number          dc.w       0
handle\file_list\number            dc.w       0
handle\saved_screen                dc.w       0
number                             dc.w       0
number_to_draw                     dc.w       0
system\old_handler_1                      dc.l       0
system\old_handler_2                      dc.l       0
system\old_handler_3                      dc.l       0
system\old_handler_4                      dc.l       0
system\old_handler_5                      dc.l       0
system\old_handler_6                      dc.l       0
system\old_handler_7                      dc.l       0
old_key                            dc.w       0
shift_position                     dc.w       0
sym_table                          dc.l       0
timer_20                           dc.l       0
timer_20_2                         dc.l       0
window\attr_absciss                dc.w       0
window\name_absciss                dc.w       0
window\type_absciss                dc.w       0
window\size_absciss                dc.w       0
window\width                       dc.w       0

 bss

 even
string                             ds.w       22        ; (20+1+1)*2

;                                  data.asm                                  ;
;============================================================================;